Issue #7498 has been reported by Gondolin (Damien Robert).

----------------------------------------
Bug #7498: Optparse does not complete argument when used with :REQUIRED
https://bugs.ruby-lang.org/issues/7498

Author: Gondolin (Damien Robert)
Status: Open
Priority: Normal
Assignee: 
Category: lib
Target version: 
ruby -v: ruby 1.9.3p327 (2012-11-10 revision 37606) [x86_64-linux]


#!/usr/bin/env ruby
require 'optparse'

OptionParser.new do |opts|
  opts.on(:REQUIRED, "--bug", ["foo", "bar"]) do |v|
    puts v
  end
  opts.on(:REQUIRED, "--nobug ARG", ["foo", "bar"]) do |v|
    puts v
  end
end.parse!

./bug.rb --bug b
b
./bug.rb --nobug b
bar

As you can see, using "--bug" with :REQUIRED but without specifying the obligatory argument name, the argument to "--bug" does not get completed to the value in the array. 


-- 
http://bugs.ruby-lang.org/